Create a timeslot series
curl --request POST \
--url https://b.anny.co/api/v1/timeslot-series \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "timeslot-series",
"attributes": {
"name": "My Series",
"local_name_i18n": {
"en-us": "My Series"
}
},
"relationships": {
"resource": {
"data": {
"id": "12",
"type": "resources"
}
}
}
},
"meta": {}
}
'import requests
url = "https://b.anny.co/api/v1/timeslot-series"
payload = {
"data": {
"type": "timeslot-series",
"attributes": {
"name": "My Series",
"local_name_i18n": { "en-us": "My Series" }
},
"relationships": { "resource": { "data": {
"id": "12",
"type": "resources"
} } }
},
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'timeslot-series',
attributes: {name: 'My Series', local_name_i18n: {'en-us': 'My Series'}},
relationships: {resource: {data: {id: '12', type: 'resources'}}}
},
meta: {}
})
};
fetch('https://b.anny.co/api/v1/timeslot-series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "timeslot-series",
"attributes": {
"name": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"timeslots": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Availability Settings
Create a timeslot series
POST
/
api
/
v1
/
timeslot-series
Create a timeslot series
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
OK
A named grouping of recurring or otherwise related timeslots for a single resource.
Show child attributes
Show child attributes
⌘I